Bug 837052 - Misleading prompt MSG when agent version is HIGHER than server
Misleading prompt MSG when agent version is HIGHER than server
Status: CLOSED WONTFIX
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 11:51 EDT by Zhengping Jin
Modified: 2013-04-22 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-22 12:25:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhengping Jin 2012-07-02 11:51:07 EDT
Description of problem:
when agent version is higher than server version, it prompts to updaate itself, which is misleading.

Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
100%

Steps to Reproduce:
1. install server, and install the agent which has a higher version, eg. agent: 3.1.0, sevrer: 3.0.0
2. config the agent with the server ip address
3. run the agent, rhq-agent.sh
  
Actual results:
the agent prompts to update itself, which is misleading.
=======================================================================
This version of the agent is not supported by the server - an agent update must be applied
Exception in thread "RHQ Agent Registration Thread" java.lang.UnsupportedOperationException: Cannot download agent update binary - agent is configured to disable updates
	at org.rhq.enterprise.agent.AgentUpdateThread.updateAgentNow(AgentUpdateThread.java:73)
	at org.rhq.enterprise.agent.AgentMain$1.run(AgentMain.java:1459)
	at java.lang.Thread.run(Unknown Source)
The agent does not have plugins - it will now wait for them to be downloaded...
=======================================================================


Expected results:
the agent should prompt to downgrade the agent.

Additional info:
Comment 1 Charles Crouch 2012-08-29 12:07:01 EDT
As per 8/20 triage 8/20 pushing to JON312
Comment 2 John Mazzitelli 2013-04-22 12:25:20 EDT
Is the problem with the use of the word "update"?

An "agent update binary" is simply the name we give to the agent that is packaged inside the binary jar used to install the agent. I may seem to imply the agent will be moved to a higher version, but that isn't the case (note: the word used isn't "upgrade" - its "update"). It simply "updates" the current agent on the box so it is the compatible version for the server.

IMO, this isn't a misleading message. An "agent update" must be applied - this is true. It needs to download the "agent update binary" (that's its name) and install it. It just so happens when it is installed, it downgrades (rather than upgrades) the version of the agent. But again, the name isn't an "agent upGRADE binary", its an "agent upDATE binary".

Anyway, I would close this issue. It really is a minor thing and has to do with the name we give the downloaded file - which is mentioned all over the documentation. So changing it isn't trivial.

Note You need to log in before you can comment on or make changes to this bug.